# ApiExternalUserMapping Data Model

This is the model for external user mapping information in the API, v19 and beyond. These can be of 4 types : LDAP group, SAML, SAML attribute and External Script.

Properties
name | data type | description
--- | --- | ---
name | string | The name of the external mapping
type | ApiExternalUserMappingType | The type of the external mapping
uuid | string | Readonly. The UUID of the authRole.
authRoles | array of ApiAuthRoleRef | A list of ApiAuthRole that this user possesses. Each custom role with be a built-in role with a set of scopes. ApiAuthRole is the model for specifying custom roles. Only admins and user admins can create/delete/update external user mappings.

Example

    {
      "name" : "...",
      "type" : "LDAP",
      "uuid" : "...",
      "authRoles" : [ {
        "displayName" : "...",
        "name" : "...",
        "uuid" : "..."
      }, {
        "displayName" : "...",
        "name" : "...",
        "uuid" : "..."
      } ]
    }